Debian Bug report logs - #716377
[Mayhem] Bug report on tack: tack crashes with exit status 139

version graph

Package: tack; Maintainer for tack is Samuel Bronson <naesten@gmail.com>; Source for tack is src:tack.

Reported by: Alexandre Rebert <alexandre@cmu.edu>

Date: Wed, 10 Jul 2013 20:11:24 UTC

Severity: normal

Tags: fixed-upstream

Found in version tack/1.07-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Samuel Bronson <naesten@gmail.com>:
Bug#716377; Package tack. (Wed, 10 Jul 2013 20:11:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rebert <alexandre@cmu.edu>:
New Bug report received and forwarded. Copy sent to Samuel Bronson <naesten@gmail.com>. (Wed, 10 Jul 2013 20:11:28 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Alexandre Rebert <alexandre@cmu.edu>
To: Debian Bug Tracking System: <maintonly@bugs.debian.org>
Subject: [Mayhem] Bug report on tack: tack crashes with exit status 139
Date: Wed, 10 Jul 2013 15:59:07 -0400
[Message part 1 (text/plain, inline)]
Package: tack
Version: 1.07-1
Severity: normal
User: mayhem@forallsecure.com
Usertags: mayhem

tack crashes with exit status 139. We confirmed the crash by
re-running it in a fresh debian unstable installation.

The attachment [1] contains a testcase (under ./crash) crashing the
program. It ensures that you can easily reproduce the bug. Additionally,
under ./crash_info/, we include more information about the crash such as
a core dump, the dmesg generated by the crash, and its output.

Regards,
The Mayhem Team (Alexandre Rebert, Thanassis Avgerinos, Sang Kil Cha, David Brumley, Manuel Egele)
Cylab, Carnegie Mellon University

[1] http://www.forallsecure.com/bug-reports/4492d575b5d07bfc126d3e1bab3270f3268a1cc2/full_report


-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.9-1-686-pae (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages tack depends on:
ii  libc6        2.17-6
ii  libncurses5  5.9+20130608-1
ii  libtinfo5    5.9+20130608-1

tack recommends no packages.

tack suggests no packages.

-- no debconf information
[tack-report.tar.bz2 (application/octet-stream, attachment)]

Information forwarded to Samuel Bronson <naesten@gmail.com>:
Bug#716377; Package tack. (Sat, 13 Jul 2013 19:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to maintainer. Copy sent to Samuel Bronson <naesten@gmail.com>. (Sat, 13 Jul 2013 19:33:08 GMT) Full text and rfc822 format available.

Message #10 received at maintonly@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Alexandre Rebert <alexandre@cmu.edu>, 716377-maintonly@bugs.debian.org
Cc: Debian@mail-sterling.his.com, Bug@mail-sterling.his.com, Tracking@mail-sterling.his.com, "System@mail-sterling.his.com": maintonly@bugs.debian.org
Subject: Re: Bug#716377: [Mayhem] Bug report on tack: tack crashes with exit status 139
Date: Sat, 13 Jul 2013 15:28:08 -0400
[Message part 1 (text/plain, inline)]
I've uploaded a fixed version.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to Samuel Bronson <naesten@gmail.com>:
Bug#716377; Package tack. (Sat, 13 Jul 2013 19:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to maintainer. Copy sent to Samuel Bronson <naesten@gmail.com>. (Sat, 13 Jul 2013 19:33:11 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Tue, 16 Jul 2013 10:30:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:08:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.